aboutsummaryrefslogtreecommitdiffstats
path: root/travis/phing-sniff.sh
diff options
context:
space:
mode:
authorJoas Schilling <nickvergessen@gmx.de>2014-05-02 16:32:00 +0200
committerJoas Schilling <nickvergessen@gmx.de>2014-05-03 10:43:38 +0200
commitacf95247108c456b14bb95483a449f2ee7bd72b9 (patch)
treebbe2cdd95b6ff0427d1f4060e8f4da6554797476 /travis/phing-sniff.sh
parent3b823465db93cf525249d00a412d5417b3216b83 (diff)
downloadforums-acf95247108c456b14bb95483a449f2ee7bd72b9.tar
forums-acf95247108c456b14bb95483a449f2ee7bd72b9.tar.gz
forums-acf95247108c456b14bb95483a449f2ee7bd72b9.tar.bz2
forums-acf95247108c456b14bb95483a449f2ee7bd72b9.tar.xz
forums-acf95247108c456b14bb95483a449f2ee7bd72b9.zip
[ticket/12470] Move phing sniff into new .sh
PHPBB3-12470
Diffstat (limited to 'travis/phing-sniff.sh')
-rwxr-xr-xtravis/phing-sniff.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/travis/phing-sniff.sh b/travis/phing-sniff.sh
new file mode 100755
index 0000000000..1473b99da4
--- /dev/null
+++ b/travis/phing-sniff.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# @copyright (c) 2014 phpBB Group
+# @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
+#
+set -e
+set -x
+
+DB=$1
+TRAVIS_PHP_VERSION=$2
+
+if [ "$TRAVIS_PHP_VERSION" == "5.5" -a "$DB" == "mysql" ]
+then
+ cd build
+ ../phpBB/vendor/bin/phing sniff
+ cd ..
+fi